gi-gio-2.0.38: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.ThreadedResolver

Contents

- Exported types
- Methods

Description

`ThreadedResolver` is an implementation of `Resolver` which calls the libc lookup functions in threads to allow them to run asynchronously.

Since: 2.20

Synopsis

- newtype ThreadedResolver = ThreadedResolver (ManagedPtr ThreadedResolver)
- class (GObject o, IsDescendantOf ThreadedResolver o) => IsThreadedResolver o
- toThreadedResolver :: (MonadIO m, IsThreadedResolver o) => o -> m ThreadedResolver

# Exported types

newtype ThreadedResolver Source #

Memory-managed wrapper type.

Constructors

ThreadedResolver (ManagedPtr ThreadedResolver) |

#### Instances

Instances details

Eq ThreadedResolver Source # |
Instance details Defined in GI.Gio.Objects.ThreadedResolver Methods (==) :: ThreadedResolver -> ThreadedResolver -> Bool Source # (/=) :: ThreadedResolver -> ThreadedResolver -> Bool Source #
GObject ThreadedResolver Source # |
Instance details Defined in GI.Gio.Objects.ThreadedResolver
ManagedPtrNewtype ThreadedResolver Source # |
Instance details Defined in GI.Gio.Objects.ThreadedResolver Methods toManagedPtr :: ThreadedResolver -> ManagedPtr ThreadedResolver Source #
TypedObject ThreadedResolver Source # |
Instance details Defined in GI.Gio.Objects.ThreadedResolver Methods glibType :: IO GType Source #
HasParentTypes ThreadedResolver Source # |
Instance details Defined in GI.Gio.Objects.ThreadedResolver
IsGValue (Maybe ThreadedResolver) Source # | Convert `ThreadedResolver` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.ThreadedResolver Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ThreadedResolver -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ThreadedResolver) Source #
type ParentTypes ThreadedResolver Source # |
Instance details Defined in GI.Gio.Objects.ThreadedResolver type ParentTypes ThreadedResolver = '[Resolver, Object]

class (GObject o, IsDescendantOf ThreadedResolver o) => IsThreadedResolver o Source #

Type class for types which can be safely cast to `ThreadedResolver`, for instance with `toThreadedResolver`.

#### Instances

Instances details

(GObject o, IsDescendantOf ThreadedResolver o) => IsThreadedResolver o Source # |
Instance details Defined in GI.Gio.Objects.ThreadedResolver

toThreadedResolver :: (MonadIO m, IsThreadedResolver o) => o -> m ThreadedResolver Source #

Cast to `ThreadedResolver`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, lookupByAddress, lookupByAddressAsync, lookupByAddressFinish, lookupByName, lookupByNameAsync, lookupByNameFinish, lookupByNameWithFlags, lookupByNameWithFlagsAsync, lookupByNameWithFlagsFinish, lookupRecords, lookupRecordsAsync, lookupRecordsFinish, lookupService, lookupServiceAsync, lookupServiceFinish, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getProperty, getQdata, getTimeout.

#### Setters

setData, setDataFull, setDefault, setProperty, setTimeout.